summaryrefslogtreecommitdiffstats
path: root/testing/hostapd/hostapd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-30 13:21:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-30 13:21:42 +0000
commited91f3e3c24b444d762b2e4f9de06779542f762c (patch)
tree6bd79f5e1ea9fcc16dfb9e90fab2e9cdc834159f /testing/hostapd/hostapd.initd
parent0a1e38d00d24abcdde874e3bb0024e908d936c35 (diff)
testing/hostapd: new aport
daemon for wireless software access points http://hostap.epitest.fi/hostapd/ fixes #212
Diffstat (limited to 'testing/hostapd/hostapd.initd')
-rw-r--r--testing/hostapd/hostapd.initd46
1 files changed, 46 insertions, 0 deletions
diff --git a/testing/hostapd/hostapd.initd b/testing/hostapd/hostapd.initd
new file mode 100644
index 00000000000..cbf962d8d17
--- /dev/null
+++ b/testing/hostapd/hostapd.initd
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/hostapd/files/hostapd-0.6.9-init.d,v 1.2 2009/05/17 10:18:18 gurligebis Exp $
+
+opts="start stop reload"
+
+depend() {
+ need net
+ after firewall
+ use logger
+}
+
+checkconfig() {
+ local file
+
+ for file in ${CONFIGS}; do
+ if [ ! -r "${file}" ]; then
+ eerror "hostapd configuration file (${CONFIG}) not found"
+ return 1
+ fi
+ done
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/sbin/hostapd \
+ -- -B ${OPTIONS} ${CONFIGS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec /usr/sbin/hostapd
+ eend $?
+}
+
+reload() {
+ checkconfig || return 1
+
+ ebegin "Reloading ${SVCNAME} configuration"
+ kill -HUP $(pidof /usr/sbin/hostapd) > /dev/null 2>&1
+ eend $?
+}